.pie {
    background-color: #5d4594;
    height: 300px;
    display: flex;
    flex-direction: row;
    gap: 30px;
    padding: 30px;
    justify-content:center;
    color: aliceblue;

}

.contContacto {
    width: 25%;
}

.contMapa {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.contRedesPie {
    width: 25%;
}

.h2Cont {
    text-align: center;
    margin-bottom: 20px;
}


.contContacto p {
  display: flex;
  align-items: center;
  gap: 10px; /* Separación entre icono y texto */
  margin-left: 30px;
}

.contContacto p img {
  width: 20px;
  height: 20px;
}

.iconosPie {
    filter: brightness(0) invert(1); /* icono blanco */
}

.mapaPie {
    width: 80%;
    height: 90%;
    background-color: aliceblue;
    margin: auto;
    overflow: hidden;
}



.btnRedesPie {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
    padding-top: 15px;
}

.linkRedesPie {
    width: 50px;
    margin: auto;
}

.aIconosPie {
    text-align: center;
}

@media (max-width: 768px) {
    .pie {
        height: auto;
        padding: 20px;
        flex-direction: column;
    }

    .contContacto {
        width: 100%;
        padding: 0%;
    }

    .contMapa {
        width: 100%;
    }

    .contRedesPie {
        width: 100%;
    }

    .mapaPie {
        width: 100%;
        height: 100%;
    }

    .btnRedesPie {
        flex-direction: row;
        gap: 30px;
        padding-top: 0px;
    }

    .linkRedesPie {
        width: 50px;
        margin: auto;
    }

    .aIconosPie {
        text-align: center;
    }

}


@media screen and (min-width: 769px) and (max-width: 1024px) {

.pie {
    height: auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas:
        "contacto redes"
        "mapa mapa";
    gap: 20px;
    padding: 20px;

}

/* Asignación de áreas */
.contContacto {
    grid-area: contacto;
    width: 100%;
}

.contRedesPie {
    grid-area: redes;
    width: 100%;
}

.contMapa {
    grid-area: mapa;
    width: 90%;
    margin: auto;
}

/* Opcional: que el mapa tenga buena altura */
.mapaPie {
    width: 100%;
    height: 300px;
}










}